Vodett API← vodett.ai

Reference

Lookup endpoints for values used elsewhere in the API.

GET /document-types

Lists the valid document categories.

[{ "key": "xrays", "label": "X-rays" }, { "key": "invoices", "label": "Invoices" }, … ]

GET /services

The clinic’s services. Use a service id as service_id when creating an appointment.

[{ "id": "…uuid…", "name": "Cleaning", "duration_min": 30, "price": 50.0, "color": "#7BADB0" }]
Request
curl https://api.vodett.ai/api/public/v1/services \
  -H "Authorization: Bearer vodett_sk_live_your_key_here"

GET /doctors

The clinic’s providers. Use a doctor id as resource_id when creating an appointment.

[{ "id": "…uuid…", "name": "Dr. Smith", "color": "#3E888C" }]